﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Praktikum2
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            listBoxMaterial.Items.Add(Material.PUR);
            listBoxMaterial.Items.Add(Material.Beton);
            listBoxMaterial.Items.Add(Material.Holz);
        }


        private void buttonErzeugeEinfachschicht_Click(object sender, RoutedEventArgs e)
        {
            if(listBoxMaterial.SelectedIndex < 0)
            {
                return;
            }
            Material m = (Material)listBoxMaterial.SelectedItem;

            double d = 0.0;
            try
            {
                d = double.Parse(textBoxDicke.Text);
            }
            catch
            {
                return;
            }

            Einfachschicht es = new Einfachschicht(m, d);
            listBoxSchichten.Items.Add(es);
        }

        private void buttonErzeugeMehrfachschicht_Click(object sender, RoutedEventArgs e)
        {
            if(listBoxSchichten.SelectedItems.Count == 0)
            {
                return;
            }
            Mehrfachschicht m = new Mehrfachschicht();
            //for (int i = 0; i < listBoxSchichten.SelectedItems.Count; i++)
            //{
            //    m.FügeSchichtHinzu((Schicht)listBoxSchichten.SelectedItems[i]);
            //}
            foreach (Schicht item in listBoxSchichten.SelectedItems)
            {
                m.FügeSchichtHinzu(item);
            }
            listBoxSchichten.Items.Add(m);
            listBoxSchichten.SelectedItems.Clear();
        }

        private void listBoxSchichten_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            zeichenfläche.Children.Clear();
            labelUWert.Content = "";

            if (listBoxSchichten.SelectedItems.Count == 0)
            {
                labelUWert.Content = "Keine Schicht ausgewählt!";
                return;
            }
            else if (listBoxSchichten.SelectedItems.Count > 1)
            {
                labelUWert.Content = "Mehr als eine Schicht ausgewählt!";
                return;
            }

            Schicht a = (Schicht)listBoxSchichten.SelectedItem;
            a.Zeichne(zeichenfläche, 0, 0, zeichenfläche.ActualWidth, zeichenfläche.ActualHeight);
            labelUWert.Content = Math.Round(a.BestimmeU(), 1) + " W/m²K";            
        }


    }
}
